Skip to main content

Atomic cancel orders

DELETE 

/atomic/orders

Cancels all open orders to buy or sell in the specified market as a single atomic request. The request is processed in strict arrival order and executed without interleaving with other operations.

info

This is a private endpoint. To send requests, you need to authenticate.

Rate limit weight points: 100

Request

Bodyrequired

    marketstringrequired

    The market in which to cancel all orders on the selected side.

    Example: BTC-EUR
    sidestringrequired

    Cancels all buy orders or all sell orders in specified market.

    Possible values: [buy, sell]

    operatorIdinteger<int64>required

    Your identifier for the trader or the bot within your account that made the request.

    Example: 543462

Responses

The request was successful.

Schema
  • Array [
  • orderIdstring<UUID>

    Bitvavo identifier of the canceled order.

    Example: 1be6d0df-d5dc-4b53-a250-3376f3b393e6
    operatorIdinteger<int64>

    Your identifier for the trader or the bot within your account that made the request.

    Example: 543462
  • ]